package com.ywt.outpatient.domain.entity.center;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Table(name = "report")
@Entity
public class Report {

    /**
     * 主键
     */
    @Id
    private Integer id;


    /**
     * 订单id
     */
    @Column(name = "order_id", nullable = false)
    private Integer orderId;


    /**
     * 订单号
     */
    @Column(name = "order_no", nullable = false)
    private String orderNo;


    /**
     * 会话id
     */
    @Column(name = "session_id", nullable = false)
    private String sessionId;


    /**
     * 用户id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;


    /**
     * 发起医生Id
     */
    @Column(name = "from_doctor_id", nullable = false)
    private Integer fromDoctorId;


    /**
     * 医生Id
     */
    @Column(name = "to_doctor_id", nullable = false)
    private Integer toDoctorId;


    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;


    /**
     * 文件对象key
     */
    @Column(name = "file_key", nullable = false)
    private String fileKey;


    /**
     * 1-oss
     */
    @Column(name = "file_save_mode", nullable = false)
    private Integer fileSaveMode;

    @Column(name = "total", nullable = false)
    private Integer total ;

    @Column(name = "pages", nullable = false)
    private Integer pages;

    @Column(name = "suggestion", nullable = false)
    private String suggestion;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getFromDoctorId() {
        return fromDoctorId;
    }

    public void setFromDoctorId(Integer fromDoctorId) {
        this.fromDoctorId = fromDoctorId;
    }

    public Integer getToDoctorId() {
        return toDoctorId;
    }

    public void setToDoctorId(Integer toDoctorId) {
        this.toDoctorId = toDoctorId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public Integer getFileSaveMode() {
        return fileSaveMode;
    }

    public void setFileSaveMode(Integer fileSaveMode) {
        this.fileSaveMode = fileSaveMode;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }
}
